Bug 862086 - rest api for cartridge status returns unformatted data
rest api for cartridge status returns unformatted data
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: REST API (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 16:02 EDT by John (J5) Palmieri
Modified: 2015-05-14 20:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: devenv_2302
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2012-10-01 16:02:55 EDT
Description of problem:

When adding ?include=status_messages to a cart query I get a string with headers instead of a data structure of messages:

Using this curl commands:

curl -3 -k -H "Accept: application/json" --user "johnp"  https://50.19.31.249/broker/rest/domains/duder/applications/node/cartridges/mysql-5.1?include=status_messages

I get this data for status_messages:

"status_messages":"--DEBUG--\n\n--RESULT--\nMySQL is running\n\n--MESSAGE--\n\n--
ERROR--\n\n--APP INFO--\n\n--CART COMMANDS--\n\n--CART PROPERTIES--\n{}\n--DATA-
-\n\n--EXIT CODE--\n0\n"

Actual results:

"status_messages":"--DEBUG--\n\n--RESULT--\nMySQL is running\n\n--MESSAGE--\n\n--
ERROR--\n\n--APP INFO--\n\n--CART COMMANDS--\n\n--CART PROPERTIES--\n{}\n--DATA-
-\n\n--EXIT CODE--\n0\n"

Expected results:

"status_messages": [{"gear": <gearuuid>, "message": "MySQL is running"}]

Same happens for mongodb
Comment 1 Ravi Sankar 2012-10-03 02:23:43 EDT
https://github.com/openshift/crankcase/pull/585
Comment 2 Xiaoli Tian 2012-10-07 23:57:07 EDT
(In reply to comment #1)
> https://github.com/openshift/crankcase/pull/585

This pull request https://github.com/openshift/origin-server/pull/585 is merged to master, move it to ON_QA to verify,
Comment 3 Ravi Sankar 2012-10-08 11:20:06 EDT
Pending pull request awaiting to be merged => https://github.com/openshift/origin-server/pull/599
Comment 4 Ravi Sankar 2012-10-09 13:17:23 EDT
Fixed and merged into origin-server/master.
Comment 5 Peter Ruan 2012-10-09 18:55:48 EDT
verified with devenv_2303

https://ec2-23-22-181-169.compute-1.amazonaws.com/broker/rest/domains/ppp19a/applications/app1/cartridges/mysql-5.1.json?include=status_messages

[
{
status_message: "MySQL is running
",
gear_id: "7ca53c21224b4483a3a4d9337bb489e1"
}
],

Note You need to log in before you can comment on or make changes to this bug.